//Robo India tutorial on Digital Temperature & Humidity
//Required hardware: DHT & 16X2 LCD
//https://www.roboindia.com/tutorials

#include "DHT.h"
#define DHTTYPE DHT11
#define dhtPin 2                  // dht with D2 pin (Arduino)
DHT dht(dhtPin, DHTTYPE);
#include <Wire.h>  
#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C lcd(0x3F,20, 4);  // SET I2C Address 
byte degreeSign[8] =                // code to create degree symbol
              {
                0b00111,
                0b00101,
                0b00111,
                0b00000,
                0b00000,
                0b00000,
                0b00000,
                0b00000
              };
void setup() 
{
  lcd.init();
  lcd.backlight();                  // makes Backligh ON. 
  lcd.clear();                      // Clears LCD
  lcd.createChar(1, degreeSign);
  lcd.setCursor(0,0);
  lcd.print("Robo India");
  lcd.setCursor(0,1);
  lcd.print("Thermometer");
  lcd.clear();
  dht.begin();
  delay(5000);
}


void loop()  
{
  float h = dht.readHumidity();    // read humidity 
  float t = dht.readTemperature(); // read temperature
  delay(100);
 
    lcd.clear();
    lcd.setCursor(0,0);             // display on LCD
    lcd.print("Temp.");
    lcd.setCursor(9,0);
    lcd.print(t);
    lcd.write(1);
    lcd.print("C");
    lcd.setCursor(0,1);
    lcd.print("Humidity");
    lcd.setCursor(9,1);
    lcd.print(h);
    lcd.print(" %");
    delay(1000);
}

